CREATE TABLE exm_cash_adv_history (
    CASH_ADVANCE_HIST_ID        NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CASH_ADVANCE_ID             NUMBER(18, 0)    NOT NULL,
    EVENT                       VARCHAR2(960)    NOT NULL,
    EVENT_PERFORMER             VARCHAR2(256),
    EVENT_DATE                  DATE         ,
    APPROVAL_LEVEL              VARCHAR2(120),
    STATUS_CODE                 VARCHAR2(120),
    AUDIT_RETURN_REASON_CODE    VARCHAR2(120),
    EXPORT_REJECT_CODE          VARCHAR2(120),
    REQUEST_ID                  NUMBER(18, 0),
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CASH_ADVANCE_HIST_ID        NUMBER(18, 0),
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)     NOT NULL,
    CASH_ADVANCE_ID             NUMBER(18, 0)    NOT NULL,
    EVENT                       VARCHAR2(960)    NOT NULL,
    EVENT_PERFORMER             VARCHAR2(256),
    EVENT_DATE                  DATE         ,
    APPROVAL_LEVEL              VARCHAR2(120),
    STATUS_CODE                 VARCHAR2(120),
    AUDIT_RETURN_REASON_CODE    VARCHAR2(120),
    EXPORT_REJECT_CODE          VARCHAR2(120),
    REQUEST_ID                  NUMBER(18, 0),
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_exm_cash_adv_history PRIMARY KEY (CASH_ADVANCE_HIST_ID, CASH_ADVANCE_HIST_ID)
);
